Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.preview_new_graphdraw.iterablelayouts
Class UnmovingIterableLayout

    java.lang.Object
      samples.preview_new_graphdraw.iter.IterableLayout
          samples.preview_new_graphdraw.iter.UpdatableIterableLayout
              samples.preview_new_graphdraw.iterablelayouts.UnmovingIterableLayout

All Implemented Interfaces:
  LayoutEmitter

public class UnmovingIterableLayout
extends UpdatableIterableLayout

This iterable layout simply iterates forever.

Author:
  danyelf

Field Summary
`protected static UnmovingIterableLayout` | `instance`

Fields inherited from class samples.preview_new_graphdraw.iter.IterableLayout
`currentLayout, returnableLayout`

Constructor Summary
`UnmovingIterableLayout()`

Method Summary
`protected void` | `calculate()` Transforms currentLayout according to current layout algorithm.
`static UnmovingIterableLayout` | `getInstance()`
`boolean` | `isFinite()` Says whether this algorthms' iterations will ever end.
`boolean` | `iterationsAreDone()` Gives the outlining algorithm a sense of how long to run.

Methods inherited from class samples.preview_new_graphdraw.iter.UpdatableIterableLayout
`addVisEdge, addVisVertex, cleanupReferences, getSymmetricDifference, removeEdge, removeVertex, updateGraph, updateGraphToMatch`

Methods inherited from class samples.preview_new_graphdraw.iter.IterableLayout
`advance, emit, getScreenSize, getVisEdge, getVisVertex, initializeLocationsFromLayout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static UnmovingIterableLayout instance

Constructor Detail

### UnmovingIterableLayout

    public UnmovingIterableLayout()

Method Detail

### calculate

    protected void calculate()

  Description copied from class: `IterableLayout`
  Transforms currentLayout according to current layout algorithm. This may change the state of the currentLayout object.

  Specified by:
    `calculate` in class `IterableLayout`
  See Also:
    `IterableLayout.calculate()`

### iterationsAreDone

    public boolean iterationsAreDone()

  Description copied from class: `IterableLayout`
  Gives the outlining algorithm a sense of how long to run. The algorithm is responsible for setting its own thresholds. Note that this should return a meaningful value (probably "false") even before initialize has been called.

  Specified by:
    `iterationsAreDone` in class `IterableLayout`
  See Also:
    `IterableLayout.iterationsAreDone()`

### isFinite

    public boolean isFinite()

  Description copied from class: `IterableLayout`
  Says whether this algorthms' iterations will ever end. (If not, there's no real use to waiting.)

  Specified by:
    `isFinite` in class `IterableLayout`
  See Also:
    `IterableLayout.isFinite()`

### getInstance

    public static UnmovingIterableLayout getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD